<?php

$url = function()
{
	$url = Dever::input('loading') ? 'loading=1' : '';
	$url .= Dever::input('ms') ? '&ms=' . Dever::input('ms') : '';

	return $url;
};

# 一些基本配置
$config['base'] = array
(
	'url' => $url(),

	# 针对管理系统的配置，开启这个则每次刷新都读取admin的最新数据，测试功能
	'getAdmin' => true,

	# 开启批量更新
	'mul_type' => 1
);

# 模板配置
$config['template'] = array
(
	# 使用的模板 注意：定义这个之后，将会强制将本项目模板变成这个
	'assets' => 'moltran',
	'template' => 'default',
	
	# 替换设置 一般用于替换资源，将模板中的（html中的）js等相对url换成绝对url，如果不定义，则默认为../js这样的
	'replace' => array
	(
		'css' => '../css/',
		'lib' => '../lib/',
		'img' => '../img/',
		'images' => '../images/',
		'js' => '../js/',
		'public' => '../public/',

		# 以下的替换主要用于合并操作(host里的merge项)
		'font' => '../fonts/',
	),

	# 是否启用layout 如启用，填写要替换的class或者id即可，具体效果可参考youtube，只加载部分内容，前端请加载pjax.js
	'layout' => '.content',
);

return $config;